2014-04-23 Taco Hoekwater  <taco@luatex.org>

	Import metapost 1.902

2014-04-09 Taco Hoekwater  <taco@luatex.org>

	Import metapost 1.901

2014-03-16  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* mp.w: An unimportant typo (1.890 --> 1.900).

2014-03-14 Taco Hoekwater  <taco@luatex.org>

	Import metapost 1.900

2014-02-03  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* psout.w: Avoid to redefine Byte and Bytef from <zlib.h>.

2014-01-31  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* mp.w: Do not declare zlibVersion, #include <zlib.h>, etc.
	Display header (compiled with) and library (using) versions.

2014-01-30  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* mp.w, mpost.w, pngout.w: Import from MetaPost trunk.

2014-01-29  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* mpost.w, mp.w: Import from MetaPost trunk.

2014-01-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* mptrap.test (removed): Renamed ...
	* mptraptest (new): ... into this.
	* am/mplib.am: Adapted.

2014-01-06  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* mp.w, mpmathdouble.w: Bug fixes by Taco, imported from MetaPost trunk.

2013-09-23  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* mp.w: A bug is fixed by Taco.

2013-09-20  Karl Berry  <karl@tug.org>

	* mpost.w (Set up the banner line) [NATIVE_TEXLIVE_BUILD]:
	use WEB2CVERSION instead of kpathsea_version_string for TL.

2013-07-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* mpost.w (main): Use kpse_program_basename().

2013-06-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* pngout.w: Replace index() => strchr().

	* mp.w: Include <stdio.h> after <w2c/config.h>.

2013-06-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* lmplib.c: Replace '<../lua52/lua.h>' => '<lua.h>'.

2013-06-16 Taco Hoekwater  <taco@luatex.org>

	Import metapost 1.803 (released version)

2013-05-22 Taco Hoekwater  <taco@luatex.org>

	* svgout.w: fix a problem with overly large characters in
	SVG output mode when prologues != 3.
	* mp.w: quick fix for a fatal crash during free-ing of TFM
	metric data at the end of the run.

2013-04-23 Taco Hoekwater  <taco@luatex.org>

	* svgout.w: fix a problem with colors in SVG output mode.
	* mp.w: bump version to 1.802

2013-04-05 Taco Hoekwater  <taco@luatex.org>

	Import metapost 1.801 (released version)

2013-03-26  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* mpost.w: First arg of kpse_set_program_name() must be argv[0],
	otherwise the assertion in kpathsea/progname.c:316 may fail.

2013-03-25  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Update MetaPost 1.800 from LuaTeX repository (r4612).

2013-03-21  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import MetaPost 1.800 from LuaTeX repository (r4604).

2013-01-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/mplib.am: Allow subdir-objects.

2013-01-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/mplib.am, mptrap.test: Enable parallel-tests.

2012-12-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/mplib.am: Enable silent rules.

2012-12-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* mpxout.w: Cast arg3 of spawnvp() to `const char* const*'.

2012-08-03  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* mpost.w: Reduce diffs between TeX Live and W32TeX.
	* mpxout.w: Replace P_WAIT by _P_WAIT.

2012-08-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* mp.w: Drop replacement function for snprintf().

2012-07-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/mplib.am (nodist_libmplib_a_SOURCES): Omit $(tfmin_c_h).

2012-05-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvitomp.test: Cope with spaces in paths returned by kpsewhich.

2012-05-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/mplib.am (mpost_LDADD): Drop explicit '-lm'.

2012-05-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* mpost.w: Use WEB2CVERSION.

2011-10-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/libmplib.am (EXTRA_DIST): Drop lmplib.c, used by luaTeX.

2011-06-06 Taco Hoekwater  <taco@luatex.org>

	* mpost.w (mpost_run_editor): Do not attempt to use EDITOR.

2011-06-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/mplib.am (bin_links): Remove no longer existing 'metafun'.

2011-05-31  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/mplib.am (bin_links): Move mpost:metafun and mpost:mfplain
	from ../../texlive/linked_scripts/Makefile.am to here.
	[MinGW]: Build call_mpost.exe wrapper binary and install as
	dvitomp.exe, metafun.exe, amd mfplain.exe.

2011-05-30 Taco Hoekwater  <taco@luatex.org>

	* all files: clarify that base MetaPost is public domain,
	but uses LGPL'd libraries.

2011-05-13  Taco Hoekwater  <taco@luatex.org>

	* mpost.w (main): change setting of kpse program name
	(on a hint by PEB).

2011-05-09  Taco Hoekwater  <taco@luatex.org>

	* mpxout.w (mpx_in_TFM): close tfm files.

2011-04-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* mp.w (mp_do_snprintf): Removed, instead declare and define
	static internal version of mp_snprintf().
	Compare change from 2009-12-05:
	FIXME: Should unconditionally assume snprintf() exists.

2011-04-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/libmplib.am: Only one rule for tfmin.w => tfmin.c.

2011-04-05  Taco Hoekwater  <taco@luatex.org>

	* mp.w, mpost.w: import metapost 1.504

2011-04-05  Taco Hoekwater  <taco@luatex.org>

	* Import of MetaPost 1.503, updating the .w files as well
	as lmplib.c and avl.c, and adding mpmath.w and removing memio.w
	* am/libmplib.am: add support for mpmath.w, remove memio.w
	* mptrap.test: remove the second part as metapost no longer
	uses .mem files at all

2011-03-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/libmplib.am: Use AM_CFLAGS instead of libmplib_a_CFLAGS.
	* am/mplib.am: Use AM_CFLAGS instead of mpost_CFLAGS.

2011-02-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/mplib.am [WIN32]: Add dvitomp.exe wrapper for MinGW.

2011-01-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/mplib.am (mptrap.diffs): Use $(triptrap_diffs).

2011-01-14  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/mplib.am (mptrap-clean): Use TRIPTRAP_CLEAN.

2010-12-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/mplib.am: install-exec-hook and uninstall-hook rules now
	in ../Makefile.am; append required symlink to bin_links.

2010-06-11  Taco Hoekwater  <taco@luatex.org>

	* *.w, lmplib.h: change include of "config.h" to <w2c/config.h>.

2010-06-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/libmplib.am (libmplib_a_CPPFLAGS): Add $(AM_CPPFLAGS).
	* am/mplib.am (mpost_CPPFLAGS): Add $(AM_CPPFLAGS).

2010-05-31  Taco Hoekwater  <taco@luatex.org>

	* mp.w (mp_set_output_file_name): prevent reallocation of 
	string pool during output file name generation.
	
2010-05-19  Taco Hoekwater  <taco@luatex.org>

	* mpost.w: add WEB2CVERSION to the banner.

2010-04-13  Taco Hoekwater  <taco@luatex.org>

	* new import from luatex repository (HEAD of 0.60.x branch)

2010-04-05  Karl Berry  <karl@tug.org>

	* mptrap.test: use --mem, not --memname (which does not exist).

2010-04-01  Taco Hoekwater <taco@elvenkind.com>
	    
	* lmplib.c: revert #include "../luatex-api.h".

2010-04-01  Taco Hoekwater <taco@elvenkind.com>
	    
	* Released version of MPLib 1.211
	
2010-03-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/mplib.am (TRIPTRAP): Add mptrap.diffs.

2010-01-26  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* psout.w: Remove charsetstr[].

2010-01-24  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* mp.w (mp_execute, mp_get_char_dimension): Declare string params
	as const.
	* lmplib.c: #include "../luatex-api.h".
	Remove 'char *' casts of Lua strings.
	Declare various string variables as const.

2009-12-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* mpxout.w: Convert CRLF to native line endings.

	* mpost.w, mpxout.w: Use HAVE_STRUCT_STAT_ST_MTIM as define by
	configure instead of (the undefined) HAVE_ST_MTIM.
	* mp.w (mp_do_snprintf): Declare and define only when used.
	FIXME: Should unconditionally assume snprintf() exists.

2009-10-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/libmplib.am, am/mplib.am: Enable compiler warnings.

	* memio.w: Create and #include mpmemio.h (new internal header).
	* tfmin.w: Create and #include mptfmin.h (new internal header).
	* mp.w: #include mpmemio.h and mptfmin.h; drop extern decls for
	functions from memio.w and tfmin.w.

	Avoid many (--enable-...=max) compiler warnings.

	* mp.w (mp_set_internal): Declare local string errid as const.
	(mp_check_mem): Declare as static.
	(mp_w_open_in, mp_print_word, mp_search_mem, mp_divide_scaled):
	Comment out unused functions.
	* psout.w (cs_do_debug, mp_gr_htap_ypoc): Comment out unused
	functions.
	* svgout.w: #include mplibsvg.h.
	(mp_svg_font_pair_out, mp_svg_trans_pair_out,
	mp_svg_print_glyph_defs): Declare as static.
	(mp_svg_open_starttag, mp_svg_endtag, mp_svg_attribute): Declare
	param strings as const.
	(append_string): Declare local string ss as const.
	(mp_svg_print): Drop useless (const *) cast.

	* mpost.w (recorder_start, internal_set_option, run_set_list):
	Declare as static.
	(mpost_run_make_mpx, mpost_run_dvitomp): Declare local string
	banner as const.
	* mpxout.w (mpx_printf, mpx_report, mpx_warn, mpx_error,
	mpx_abort, mpx_xfopen, mpx_match_str, mpx_def_named_color,
	mpx_fsearch, mpx_read_fmap, mpx_read_char_adj, mpx_rename):
	Declare param strings as const.
	(progname): Declare global string as const.
	(named_color_record): Declare member strings as const.

2009-10-02  Taco Hoekwater <taco@elvenkind.com>
	    
	    * Released version of MPLib 1.208
	
2009-08-21  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* mpost.w (kpathsea_version_string): Drop extern decl.

2009-08-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/mplib.am (mplib_ctangle): Use tangle-sh.
	* am/libmplib.am, am/mplib.am: Adapt to tangle-sh.

2009-08-12  Taco Hoekwater <taco@elvenkind.com>
	    
	    * Released version of MPLib 1.207, including 
   	    a new mptrap.test
	
2009-07-31  Taco Hoekwater <taco@elvenkind.com>
	    
	    * Released version of MPLib 1.206
	
2009-07-20  Taco Hoekwater <taco@elvenkind.com>
	    
	* mp.w: hotfix for a possible crash in lib mode 
	
2009-07-13  Taco Hoekwater <taco@elvenkind.com>
	    
	    * Released version of MPLib 1.205
	
2009-06-25  Peter Breitenlohner <peb@mppmu.mpg.de>

	* mpost.w: add KPSEDLL to declaration of
	kpathsea_version_string.

2009-06-25  Taco Hoekwater <taco@elvenkind.com>
	    
	    * Released version of MPLib 1.204
	
2009-06-09  Taco Hoekwater <taco@elvenkind.com>
	    
	    * Released version of MPLib 1.203
	
2009-06-03  Taco Hoekwater <taco@elvenkind.com>
	    
	    * Released version of MPLib 1.202
	
2009-05-30  Peter Breitenlohner <peb@mppmu.mpg.de>

	* am/mplib.am (install-exec-hook, uninstall-hook):
	avoid dangling symlinks.

2009-05-25  Peter Breitenlohner <peb@mppmu.mpg.de>

	* dvitomp.test (new): Shell script to test dvitomp.
	* am/mplib.am: Added dvitomp.test.

2009-05-25  Peter Breitenlohner <peb@mppmu.mpg.de>

	* am/mplib.am (install-exec-hook, uninstall-hook): new targets
	to (un)install dvitomp symlink.

2009-05-13  Peter Breitenlohner  <peb@mppmu.mpg.de>

	    * mptrap.test (new): Shell script for MPTRAP test.
	    * am/mplib.am: Added MPTRAP test.

2009-05-11  Taco Hoekwater <taco@elvenkind.com>
	    
	    * Released version of MPLib 1.200

2009-05-08  Taco Hoekwater <taco@elvenkind.com>
	    
	    * Recent MPlib updates

2009-04-22  Taco Hoekwater <taco@elvenkind.com>

	    * Import of MPlib version 1.200 
